Thread Tools
Sep 26, 2012, 06:54 AM
Safety : practice & promote!
RoboHeli's Avatar
Quote:
Originally Posted by PhracturedBlue
correct. The Nine-eagles system uses a bi-directional binding. At least at the moment, this requires the telemetry module (though it is possible I'll find a solution that does not)
Thanks!!! So a Devo 8s it is then.
Sign up now
to remove ads between posts
Sep 26, 2012, 07:01 AM
Safety : practice & promote!
RoboHeli's Avatar
Just thought of another question. Does this firmware support older Nine Eagles models like the Twingo (tandem) or 270 or BravoSX? I do not know what the J6 supports.
Oct 19, 2012, 06:39 PM
Registered User
Mitchie's Avatar
Hi everyone,
Has anyone figured out how to put the software on this baby with a mac? I have an Imac, and I've installed Windows xp on virtual box, but can't get the upgrade software to see the transmitter/usb port to install the software. I've been on the deviation website, but I can't log in because of a glitch during my registration, and there's no way to contact the webmaster to receive it....HELP!!!
Oct 20, 2012, 06:32 AM
mono's Avatar
I think you might find that the software requires a direct hardware usb port, whereas a virtualbox machine is restricting exclusive access to usb ports.
I use Linux and as I always look to see if there is the same software (in this case dfuse) available for that platform. I noticed on the webpage I found that they refer to instructions for using in OSX.
The program is called dfu-util and you can either build from source or there is a compiled binary in openmoko. Anyway, have a look at these pages to see if it's something you can make use of ...
http://dfu-util.gnumonks.org/
http://www.seeedstudio.com/wiki/Dfu-util
building from source...
http://dfu-util.gnumonks.org/build.html
mac osx specific instructions...
http://forum.seeedstudio.com/viewtopic.php?f=12&t=1364
openmoko (might be too old)...
http://wiki.openmoko.org/wiki/Dfu-util#Mac

*Important: ST Micro's own DFU extensions (DfuSe) are not compatible with the DFU standard and require version 0.5 or later of dfu-util. This applies to the devo radio, so make very sure you understand exactly what's needed before attempting to flash the radio. The above info and links are for you to determine whether it's suitable for your purpose. In other words, don't blame me if you break something.
Oct 20, 2012, 07:36 AM
Registered User
Mitchie's Avatar
Thanks, but my programming skills are way to old and rusty to try this (don't want to blame you for breaking my radio ) Do you think that if I use the dual boot option and boot directly to windows, it'll work better?
Thanks
Mitch

PS, does anyone have manuals that are downloadable, or on line. I've been trying to get a manual for this radio so that I can figure out how to do firmware upgrades, but I can't seem to get it from the walkera site.
Last edited by Mitchie; Oct 20, 2012 at 08:37 AM.
Oct 20, 2012, 09:14 AM
mono's Avatar
If you set up a windows using bootcamp, should be fine.
Here is a direct link to the radio manuals area at Walkera.
http://www.walkera.com/en1/download.jsp?proId=W2
Oct 20, 2012, 10:31 AM
Registered User
Mitchie's Avatar
Yep, and when I download the file and double click it, it just opens a short cut that brings me right back to the walkera webpage. (I have no idea why)
Oct 20, 2012, 06:47 PM
mono's Avatar
Maybe you have a java problem in Safari.
Tell me which radio and I'll give you a link to the file itself.

edit... Ah I see now, safari has a long history of not handling jsp weblinks. just put jsp safari in google and see all the problems.
the direct file addresses are for example...
6S
http://www.walkera.com/cn/upload/explain/DEVO6_expe.pdf
8S
http://www.walkera.com/cn/upload/exp...EVO8S_expe.pdf
Last edited by mono; Oct 20, 2012 at 06:58 PM.
Oct 20, 2012, 09:36 PM
Registered User
Mitchie's Avatar
Well, I'm trying to get at the Devo 8, but I want to upgrade to the 8S.
Oct 20, 2012, 09:47 PM
mono's Avatar
here is the 8 manual...
http://www.walkera.com/cn/upload/explain/DEVO8_expe.pdf

the links are easy to see, then just edit out the jsp redirection to get the direct one.
Oct 20, 2012, 11:43 PM
Registered User
FDR_'s Avatar
Here you can find direct links to the upgrades:
http://rc.fdr.hu/devo.php
Oct 21, 2012, 07:17 AM
Registered User
Mitchie's Avatar
Thanks guys, the original owner is sending me all the extras that came with the receiver, but this info is really going to make it easier.
Oct 21, 2012, 09:30 AM
Registered User
I hope there will be F.W for devo 7 too not long time later
Oct 21, 2012, 09:59 AM
Registered User
Quote:
Originally Posted by Hobbyfuns
I hope there will be F.W for devo 7 too not long time later
I don't expect to ever do one for an unmodified Devo7. The Devo7e will likely happen soon though. If I do the Devo7, it will be with a mod to support a real dot-matrix screen. Unfortunately, without USB support, it is a more-limited platform.
Oct 21, 2012, 12:43 PM
Registered User
Mitchie's Avatar
Are you involved with the deviation software? I'd like to explore how to do that, but one step at a time. I still have to install a dual boot for my mac. Maybe tonight.....

Quote:
Originally Posted by PhracturedBlue
I don't expect to ever do one for an unmodified Devo7. The Devo7e will likely happen soon though. If I do the Devo7, it will be with a mod to support a real dot-matrix screen. Unfortunately, without USB support, it is a more-limited platform.


Quick Reply
Message:

Thread Tools

Similar Threads
Category Thread Thread Starter Forum Replies Last Post
Sold Fake Spektrum AR500 Receiver (Spektrum DSM2 Compatible) peterswolf Aircraft - General - Radio Equipment (FS/W) 1 Sep 07, 2012 04:27 PM
For Sale DSM2 AIRMOD with AR7010 JR-Compatible by Spektrum (SPMMSJR720 109.00 shipped in US Proline8000 Aircraft - General - Radio Equipment (FS/W) 4 Aug 28, 2012 12:58 PM
Discussion New JR XG-11 not compatible with any JR DSM or Spektrum DSM2 Rx? 320pilot Radios 9 May 01, 2012 07:02 PM
Discussion SUB- 1 Gram 2,4 ghz DSM2 compatible Rx (spektrum compatible) bmaaa Scratchbuilt Indoor and Micro Models 11 Nov 04, 2009 03:02 AM
Discussion Spektrum DX6i Compatibility with Parkzone DSM2 RTFs pansat1885 Trader Talk 3 Nov 09, 2008 06:38 PM